cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From cparp...@t-online.de (Christian Parpart)
Subject Can't compile cocoon 1.8.1-dev sources
Date Thu, 14 Dec 2000 03:44:53 GMT
Hi

I just updated my cvs tree and got the following error message:

  [javac] Warning: file modified in the future:
org\apache\cocoon\collections\Predicate.java
  [javac] Warning: file modified in the future:
org\apache\cocoon\Frontend.java
  [javac] Compiling 119 source files to C:\Eigene
Dateien\projects\xml-cocoon\build\classes
  [javac] C:\Eigene
Dateien\projects\xml-cocoon\build\src\org\apache\cocoon\processor\LinkEncodi
ngProcessor.java:115: Incompatible type for method. Can't convert
java.lang.String to javax.servlet.http.HttpServletRequest.
  [javac]               (HttpUtils.getRequestURL (request.getRequestURI
()).toString ());
  [javac]                                                               ^
  [javac] Note: 9 files use or override a deprecated API.  Recompile with
"-deprecation" for details.
  [javac] 1 error, 1 warning

  BUILD FAILED

  build.xml:277: Compile failed

What's wrong, and what do I have to do to compile it right???

Regards,
Christian Parpart <mailto:cparpart@surakware.com>
SurakWare
http://www.surakware.com


Mime
View raw message